function [B,norma_B,suma_A,suma_B]=progB(a,b,tol,n)
%Test1-B  Correr con:  > progB(4,-1,1.0e-02,10)
%
A=diag(a*ones(1,n))+diag(b*ones(1,n-1),1)+diag(b*ones(1,n-1),-1);
parada=1;
contador=1;
while parada>tol
    R=chol(A);
    A=R*R';
    parada=sum(diag(A,-1).^2);
    contador=contador+1;
    if contador==100;
        'No converge'
        parada=0;
    end
end
B=A;
%
norma_B=norm(B,2)
suma_A=sum(eig(A))
suma_B=sum(diag(B))